Summary: A printed circuit board design tool for X.
Name: pcb
Version: 1.6.3
Release: 5
Group: Applications/Engineering
Copyright: GPL
Source: ftp://ftp.uni-ulm.de/pub/pcb/mirror/pcb-1.6.3.tgz
Patch0: pcb-1.6.3-glibc21.patch
Prereq: /sbin/install-info
Buildroot: /var/tmp/%{name}-root

%description
Pcb is an X Window System application for designing printed circuit
boards.  Pcb supports multiple layers and circuit libraries and can
support a resolution of 0.001 inch.

%prep
%setup -q
%patch0 -p1 -b .glibc21

%build
xmkmf -a
(cd doc; make)
(cd src; make Pcb.ad)
make -i

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
make install.man DESTDIR=$RPM_BUILD_ROOT
make install.info DESTDIR=$RPM_BUILD_ROOT

( cd $RPM_BUILD_ROOT
  gzip -9nf .%{_prefix}/info/*.info
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/pcb.info.gz /usr/info/dir --entry="* pcb: (pcb).          A printed circuit board design tool."

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/pcb.info.gz /usr/info/dir --entry="* pcb: (pcb).          A printed circuit board design tool."
fi

%files
%defattr(-,root,root)
%doc README_FILES/* doc doc.ps example
/usr/X11R6/bin/pcb
/usr/X11R6/lib/X11/app-defaults/Pcb
/usr/X11R6/lib/X11/pcb
/usr/X11R6/man/man1/pcb.1x
/usr/info/*.info*

%changelog
* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Tue Jul 20 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Thu Apr 29 1999 Jeff Johnson <jbj@redhat.com>
- rebuilt for 6.0.

* Fri Oct 08 1998 Michael Maher <mike@redhat.com>
- built package for 5.2 

* Tue May 26 1998 Michael Maher <mike@redhat.com>
- built package
